Create new organisation
curl --request POST \
--url https://api.meetsquad.ai/organisations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corporation",
"homepageUrl": "<string>",
"logoUrl": "<string>"
}
'import requests
url = "https://api.meetsquad.ai/organisations"
payload = {
"name": "Acme Corporation",
"homepageUrl": "<string>",
"logoUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation', homepageUrl: '<string>', logoUrl: '<string>'})
};
fetch('https://api.meetsquad.ai/organisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"createdAt": "2025-03-26T22:35:46Z",
"accountType": "HOBBY",
"billingCycleStartDate": "2025-03-26T22:35:46Z",
"billingCycleFlexCreditAllowance": 100000,
"updatedAt": "2025-03-26T22:35:46Z",
"status": "ACTIVE",
"unprocessedFeedbackCount": 123,
"stripeCustomerId": "cus_1234567890",
"homepageUrl": "https://acme.example.com",
"logoUrl": "https://acme.example.com/logo.png"
}
}{
"error": {
"code": "INVALID_REQUEST",
"description": "One or more fields are invalid",
"fields": [
"title",
"description"
],
"validationErrors": {
"invalidFields": {
"title": {
"type": "too_small",
"message": "Title must be at least 3 characters long",
"path": [
"title"
]
},
"deadline": {
"type": "invalid_date",
"message": "Deadline must be a valid date in the future",
"path": [
"deadline"
]
}
}
}
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthenticated"
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthorised"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"description": "An unexpected error occurred on the server"
}
}Organisations
Create new organisation
Creates a new organisation
POST
/
organisations
Create new organisation
Authorizations
JWT authentication for organization-scoped endpoints.
Body
application/json
Response
Organisation created successfully
Response containing a single organisation
Organisation data
Show child attributes
Show child attributes
⌘I